Bug 505574 - unopkg.bin - _DFORTIFY_SOURCE disallows realpath second argument of a non-initial struct member -> buffer overflow/backtrace/drops core
unopkg.bin - _DFORTIFY_SOURCE disallows realpath second argument of a non-ini...
Status: CLOSED DUPLICATE of bug 506099
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 09:52 EDT by Tom London
Modified: 2009-06-17 10:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 10:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete output of "yum update" command (56.17 KB, text/plain)
2009-06-12 09:52 EDT, Tom London
no flags Details
gzip of core (1001.38 KB, application/octet-stream)
2009-06-12 21:46 EDT, Tom London
no flags Details
console log from yum (4.43 KB, text/plain)
2009-06-15 01:16 EDT, Alexander Suleymanov
no flags Details
Second unopkg.bin core file (1003.60 KB, text/plain)
2009-06-15 09:26 EDT, Tom London
no flags Details
standalone test-case (468 bytes, text/plain)
2009-06-16 07:24 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Tom London 2009-06-12 09:52:14 EDT
Created attachment 347570 [details]
complete output of "yum update" command

Description of problem:
Get the following "buffer overflow" and backtrace doing a "yum update" of openoffice.org.

Notice 2 core files in /:
[root@tlondon /]# ls -l core*
-rw-------. 1 root root 26521600 2009-06-12 06:38 core.3633
-rw-------. 1 root root 26521600 2009-06-12 06:38 core.3754
[root@tlondon /]# 
[root@tlondon /]# file core*
core.3633: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from 'ce --link /usr/'
core.3754: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from 'ce --link /usr/'
[root@tlondon /]# 

Core was generated by `/usr/lib64/openoffice.org3/program/unopkg.bin add --shared --force --link /usr/'.


  Updating       : 1:openoffice.org-presenter-screen-3.1.1-13.1.fc12.x8   20/76 
*** buffer overflow detected ***: /usr/lib64/openoffice.org3/program/unopkg.bin terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x39ca0f7537]
/lib64/libc.so.6[0x39ca0f5590]
/lib64/libc.so.6[0x39ca0f5beb]
/usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3(osl_openProfile+0x11d)[0x7f5ea2fa966d]
/usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3[0x7f5ea2fc524d]
/usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3(rtl_bootstrap_expandMacros_from_handle+0x29)[0x7f5ea2fc5c89]
/usr/lib64/openoffice.org3/program/../basis-link/program/libdeploymentmisclx.so[0x7f5ea12e56cf]
/usr/lib64/openoffice.org3/program/../basis-link/program/libdeploymentmisclx.so(_ZN7dp_misc12Dependencies5checkERKNS_18DescriptionInfosetE+0x664)[0x7f5ea12e5d94]
/usr/lib64/openoffice.org3/program/../basis-link/program/deploymentlx.uno.so[0x7f5e966b0c11]
/usr/lib64/openoffice.org3/program/../basis-link/program/deploymentlx.uno.so[0x7f5e96674db5]
/usr/lib64/openoffice.org3/program/../basis-link/program/libunopkgapp.so(unopkg_main+0xa79)[0x7f5ea2d610a9]
/usr/lib64/openoffice.org3/program/unopkg.bin(main+0xb)[0x400e8b]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x39ca01ea2d]
/usr/lib64/openoffice.org3/program/unopkg.bin[0x400db9]
======= Memory map: ========
00400000-00402000 r-xp 00000000 fd:00 181657                             /usr/lib64/openoffice.org3/program/unopkg.bin
00601000-00602000 rw-p 00001000 fd:00 181657                             /usr/lib64/openoffice.org3/program/unopkg.bin
01d3e000-01d82000 rw-p 00000000 00:00 0                                  [heap]
3600e00000-3600e93000 r-xp 00000000 fd:00 76158                          /usr/lib64/libfreetype.so.6.3.20
3600e93000-3601093000 ---p 00093000 fd:00 76158                          /usr/lib64/libfreetype.so.6.3.20
3601093000-3601099000 rw-p 00093000 fd:00 76158                          /usr/lib64/libfreetype.so.6.3.20
360aa00000-360ab6d000 r-xp 00000000 fd:00 17185                          /lib64/libdb-4.7.so
360ab6d000-360ad6c000 ---p 0016d000 fd:00 17185                          /lib64/libdb-4.7.so
360ad6c000-360ad72000 rw-p 0016c000 fd:00 17185                          /lib64/libdb-4.7.so
38e9400000-38e941a000 r-xp 00000000 fd:00 72283                          /lib64/libgcc_s-4.4.0-20090609.so.1
38e941a000-38e9619000 ---p 0001a000 fd:00 72283                          /lib64/libgcc_s-4.4.0-20090609.so.1
38e9619000-38e961a000 rw-p 00019000 fd:00 72283                          /lib64/libgcc_s-4.4.0-20090609.so.1
38e9c00000-38e9cf1000 r-xp 00000000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9cf1000-38e9ef1000 ---p 000f1000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9ef1000-38e9ef8000 r--p 000f1000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9ef8000-38e9efa000 rw-p 000f8000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9efa000-38e9f0f000 rw-p 00000000 00:00 0 
39c9c00000-39c9c1f000 r-xp 00000000 fd:00 770                            /lib64/ld-2.10.1.so
39c9e1e000-39c9e1f000 r--p 0001e000 fd:00 770                            /lib64/ld-2.10.1.so
39c9e1f000-39c9e20000 rw-p 0001f000 fd:00 770                            /lib64/ld-2.10.1.so
39ca000000-39ca164000 r-xp 00000000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca164000-39ca364000 ---p 00164000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca364000-39ca368000 r--p 00164000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca368000-39ca369000 rw-p 00168000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca369000-39ca36e000 rw-p 00000000 00:00 0 
39ca400000-39ca482000 r-xp 00000000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca482000-39ca682000 ---p 00082000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca682000-39ca683000 r--p 00082000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca683000-39ca684000 rw-p 00083000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca800000-39ca802000 r-xp 00000000 fd:00 97681                          /lib64/libdl-2.10.1.so
39ca802000-39caa02000 ---p 00002000 fd:00 97681                          /lib64/libdl-2.10.1.so
39caa02000-39caa03000 r--p 00002000 fd:00 97681                          /lib64/libdl-2.10.1.so
39caa03000-39caa04000 rw-p 00003000 fd:00 97681                          /lib64/libdl-2.10.1.so
39cac00000-39cac17000 r-xp 00000000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cac17000-39cae16000 ---p 00017000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cae16000-39cae17000 r--p 00016000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cae17000-39cae18000 rw-p 00017000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cae18000-39cae1c000 rw-p 00000000 00:00 0 
39cb000000-39cb015000 r-xp 00000000 fd:00 257328                         /lib64/libz.so.1.2.3
39cb015000-39cb214000 ---p 00015000 fd:00 257328                         /lib64/libz.so.1.2.3
39cb214000-39cb215000 rw-p 00014000 fd:00 257328                         /lib64/libz.so.1.2.3
39cc800000-39cc802000 r-xp 00000000 fd:00 97679                          /usr/lib64/libXau.so.6.0.0
39cc802000-39cca01000 ---p 00002000 fd:00 97679                          /usr/lib64/libXau.so.6.0.0
39cca01000-39cca02000 rw-p 00001000 fd:00 97679                          /usr/lib64/libXau.so.6.0.0
39ccc00000-39ccc1a000 r-xp 00000000 fd:00 97680                          /usr/lib64/libxcb.so.1.1.0
39ccc1a000-39cce1a000 ---p 0001a000 fd:00 97680                          /usr/lib64/libxcb.so.1.1.0
39cce1a000-39cce1b000 rw-p 0001a000 fd:00 97680                          /usr/lib64/libxcb.so.1.1.0
39cd000000-39cd135000 r-xp 00000000 fd:00 97683                          /usr/lib64/libX11.so.6.2.0
39cd135000-39cd335000 ---p 00135000 fd:00 97683                          /usr/lib64/libX11.so.6.2.0
39cd335000-39cd33b000 rw-p 00135000 fd:00 97683                          /usr/lib64/libX11.so.6.2.0
39cd800000-39cd826000 r-xp 00000000 fd:00 257384                         /lib64/libexpat.so.1.5.2
39cd826000-39cda25000 ---p 00026000 fd:00 257384                         /lib64/libexpat.so.1.5.2
39cda25000-39cda28000 rw-p 00025000 fd:00 257384                         /lib64/libexpat.so.1.5.2
39ce000000-39ce011000 r-xp 00000000 fd:00 103955                         /usr/lib64/libXext.so.6.4.0
39ce011000-39ce211000 ---p 00011000 fd:00 103955                         /usr/lib64/libXext.so.6.4.0
39ce211000-39ce212000 rw-p 00011000 fd:00 103955                         /usr/lib64/libXext.so.6.4.0
39d5600000-39d5746000 r-xp 00000000 fd:00 104018                         /usr/lib64/libxml2.so.2.7.3
39d5746000-39d5945000 ---p 00146000 fd:00 104018                         /usr/lib64/libxml2.so.2.7.3
39d5945000-39d594f000 rw-p 00145000 fd:00 104018                         /usr/lib64/libxml2.so.2.7.3
39d594f000-39d5950000 rw-p 00000000 00:00 0 
39e1200000-39e1239000 r-xp 00000000 fd:00 19502                          /usr/lib64/libxslt.so.1.1.24
39e1239000-39e1438000 ---p 00039000 fd:00 19502                          /usr/lib64/libxslt.so.1.1.24
39e1438000-39e143a000 rw-p 00038000 fd:00 19502                          /usr/lib64/libxslt.so.1.1.24
3c85000000-3c8514a000 r-xp 00000000 fd:00 72501                          /usr/lib64/libicuuc.so.42.0.1
3c8514a000-3c85349000 ---p 0014a000 fd:00 72501                          /usr/lib64/libicuuc.so.42.0.1
3c85349000-3c8535a000 rw-p 00149000 fd:00 72501                          /usr/lib64/libicuuc.so.42.0.1
3c8535a000-3c8535c000 rw-p 00000000 00:00 0 
3c86000000-3c86f46000 r-xp 00000000 fd:00 70598                          /usr/lib64/libicudata.so.42.0.1
3c86f46000-3c87145000 ---p 00f46000 fd:00 70598                          /usr/lib64/libicudata.so.42.0.1
3c87145000-3c87146000 rw-p 00f45000 fd:00 70598                          /usr/lib64/libicudata.so.42.0.1
3c89000000-3c89036000 r-xp 00000000 fd:00 72518                          /usr/lib64/libicule.so.42.0.1
3c89036000-3c89236000 ---p 00036000 fd:00 72518                          /usr/lib64/libicule.so.42.0.1
3c89236000-3c89238000 rw-p 00036000 fd:00 72518                          /usr/lib64/libicule.so.42.0.1
7f5e90000000-7f5e90021000 rw-p 00000000 00:00 0 
7f5e90021000-7f5e94000000 ---p 00000000 00:0/usr/lib64/openoffice.org3/program/unopkg: line 106:  3633 Aborted                 (core dumped) "$sd_prog/unopkg.bin" "$@" "-env:INIFILENAME=vnd.sun.star.pathname:$sd_prog/redirectrc"
  Updating       : 1:openoffice.org-writer-core-3.1.1-13.1.fc12.x86_64    21/76 
  Updating       : 1:openoffice.org-math-core-3.1.1-13.1.fc12.x86_64      22/76 
  Updating       : 1:openoffice.org-graphicfilter-3.1.1-13.1.fc12.x86_6   23/76 
  Updating       : 1:openoffice.org-writer-3.1.1-13.1.fc12.x86_64         24/76 
  Updating       : 1:openoffice.org-impress-3.1.1-13.1.fc12.x86_64        25/76 
  Updating       : 1:openoffice.org-calc-3.1.1-13.1.fc12.x86_64           26/76 
  Updating       : 1:openoffice.org-draw-core-3.1.1-13.1.fc12.x86_64      27/76 
  Updating       : 1:openoffice.org-pdfimport-3.1.1-13.1.fc12.x86_64      28/76 
*** buffer overflow detected ***: /usr/lib64/openoffice.org3/program/unopkg.bin terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x39ca0f7537]
/lib64/libc.so.6[0x39ca0f5590]
/lib64/libc.so.6[0x39ca0f5beb]
/usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3(osl_openProfile+0x11d)[0x7f4f3abae66d]
/usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3[0x7f4f3abca24d]
/usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3(rtl_bootstrap_expandMacros_from_handle+0x29)[0x7f4f3abcac89]
/usr/lib64/openoffice.org3/program/../basis-link/program/libdeploymentmisclx.so[0x7f4f38eea6cf]
/usr/lib64/openoffice.org3/program/../basis-link/program/libdeploymentmisclx.so(_ZN7dp_misc12Dependencies5checkERKNS_18DescriptionInfosetE+0x664)[0x7f4f38eead94]
/usr/lib64/openoffice.org3/program/../basis-link/program/deploymentlx.uno.so[0x7f4f2e2b5c11]
/usr/lib64/openoffice.org3/program/../basis-link/program/deploymentlx.uno.so[0x7f4f2e279db5]
/usr/lib64/openoffice.org3/program/../basis-link/program/libunopkgapp.so(unopkg_main+0xa79)[0x7f4f3a9660a9]
/usr/lib64/openoffice.org3/program/unopkg.bin(main+0xb)[0x400e8b]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x39ca01ea2d]
/usr/lib64/openoffice.org3/program/unopkg.bin[0x400db9]
======= Memory map: ========
00400000-00402000 r-xp 00000000 fd:00 181657                             /usr/lib64/openoffice.org3/program/unopkg.bin
00601000-00602000 rw-p 00001000 fd:00 181657                             /usr/lib64/openoffice.org3/program/unopkg.bin
01acb000-01b0f000 rw-p 00000000 00:00 0                                  [heap]
3600e00000-3600e93000 r-xp 00000000 fd:00 76158                          /usr/lib64/libfreetype.so.6.3.20
3600e93000-3601093000 ---p 00093000 fd:00 76158                          /usr/lib64/libfreetype.so.6.3.20
3601093000-3601099000 rw-p 00093000 fd:00 76158                          /usr/lib64/libfreetype.so.6.3.20
360aa00000-360ab6d000 r-xp 00000000 fd:00 17185                          /lib64/libdb-4.7.so
360ab6d000-360ad6c000 ---p 0016d000 fd:00 17185                          /lib64/libdb-4.7.so
360ad6c000-360ad72000 rw-p 0016c000 fd:00 17185                          /lib64/libdb-4.7.so
38e9400000-38e941a000 r-xp 00000000 fd:00 72283                          /lib64/libgcc_s-4.4.0-20090609.so.1
38e941a000-38e9619000 ---p 0001a000 fd:00 72283                          /lib64/libgcc_s-4.4.0-20090609.so.1
38e9619000-38e961a000 rw-p 00019000 fd:00 72283                          /lib64/libgcc_s-4.4.0-20090609.so.1
38e9c00000-38e9cf1000 r-xp 00000000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9cf1000-38e9ef1000 ---p 000f1000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9ef1000-38e9ef8000 r--p 000f1000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9ef8000-38e9efa000 rw-p 000f8000 fd:00 72284                          /usr/lib64/libstdc++.so.6.0.12
38e9efa000-38e9f0f000 rw-p 00000000 00:00 0 
39c9c00000-39c9c1f000 r-xp 00000000 fd:00 770                            /lib64/ld-2.10.1.so
39c9e1e000-39c9e1f000 r--p 0001e000 fd:00 770                            /lib64/ld-2.10.1.so
39c9e1f000-39c9e20000 rw-p 0001f000 fd:00 770                            /lib64/ld-2.10.1.so
39ca000000-39ca164000 r-xp 00000000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca164000-39ca364000 ---p 00164000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca364000-39ca368000 r--p 00164000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca368000-39ca369000 rw-p 00168000 fd:00 27878                          /lib64/libc-2.10.1.so
39ca369000-39ca36e000 rw-p 00000000 00:00 0 
39ca400000-39ca482000 r-xp 00000000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca482000-39ca682000 ---p 00082000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca682000-39ca683000 r--p 00082000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca683000-39ca684000 rw-p 00083000 fd:00 131165                         /lib64/libm-2.10.1.so
39ca800000-39ca802000 r-xp 00000000 fd:00 97681                          /lib64/libdl-2.10.1.so
39ca802000-39caa02000 ---p 00002000 fd:00 97681                          /lib64/libdl-2.10.1.so
39caa02000-39caa03000 r--p 00002000 fd:00 97681                          /lib64/libdl-2.10.1.so
39caa03000-39caa04000 rw-p 00003000 fd:00 97681                          /lib64/libdl-2.10.1.so
39cac00000-39cac17000 r-xp 00000000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cac17000-39cae16000 ---p 00017000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cae16000-39cae17000 r--p 00016000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cae17000-39cae18000 rw-p 00017000 fd:00 52886                          /lib64/libpthread-2.10.1.so
39cae18000-39cae1c000 rw-p 00000000 00:00 0 
39cb000000-39cb015000 r-xp 00000000 fd:00 257328                         /lib64/libz.so.1.2.3
39cb015000-39cb214000 ---p 00015000 fd:00 257328                         /lib64/libz.so.1.2.3
39cb214000-39cb215000 rw-p 00014000 fd:00 257328                         /lib64/libz.so.1.2.3
39cc800000-39cc802000 r-xp 00000000 fd:00 97679                          /usr/lib64/libXau.so.6.0.0
39cc802000-39cca01000 ---p 00002000 fd:00 97679                          /usr/lib64/libXau.so.6.0.0
39cca01000-39cca02000 rw-p 00001000 fd:00 97679                          /usr/lib64/libXau.so.6.0.0
39ccc00000-39ccc1a000 r-xp 00000000 fd:00 97680                          /usr/lib64/libxcb.so.1.1.0
39ccc1a000-39cce1a000 ---p 0001a000 fd:00 97680                          /usr/lib64/libxcb.so.1.1.0
39cce1a000-39cce1b000 rw-p 0001a000 fd:00 97680                          /usr/lib64/libxcb.so.1.1.0
39cd000000-39cd135000 r-xp 00000000 fd:00 97683                          /usr/lib64/libX11.so.6.2.0
39cd135000-39cd335000 ---p 00135000 fd:00 97683                          /usr/lib64/libX11.so.6.2.0
39cd335000-39cd33b000 rw-p 00135000 fd:00 97683                          /usr/lib64/libX11.so.6.2.0
39cd800000-39cd826000 r-xp 00000000 fd:00 257384                         /lib64/libexpat.so.1.5.2
39cd826000-39cda25000 ---p 00026000 fd:00 257384                         /lib64/libexpat.so.1.5.2
39cda25000-39cda28000 rw-p 00025000 fd:00 257384                         /lib64/libexpat.so.1.5.2
39ce000000-39ce011000 r-xp 00000000 fd:00 103955                         /usr/lib64/libXext.so.6.4.0
39ce011000-39ce211000 ---p 00011000 fd:00 103955                         /usr/lib64/libXext.so.6.4.0
39ce211000-39ce212000 rw-p 00011000 fd:00 103955                         /usr/lib64/libXext.so.6.4.0
39d5600000-39d5746000 r-xp 00000000 fd:00 104018                         /usr/lib64/libxml2.so.2.7.3
39d5746000-39d5945000 ---p 00146000 fd:00 104018                         /usr/lib64/libxml2.so.2.7.3
39d5945000-39d594f000 rw-p 00145000 fd:00 104018                         /usr/lib64/libxml2.so.2.7.3
39d594f000-39d5950000 rw-p 00000000 00:00 0 
39e1200000-39e1239000 r-xp 00000000 fd:00 19502                          /usr/lib64/libxslt.so.1.1.24
39e1239000-39e1438000 ---p 00039000 fd:00 19502                          /usr/lib64/libxslt.so.1.1.24
39e1438000-39e143a000 rw-p 00038000 fd:00 19502                          /usr/lib64/libxslt.so.1.1.24
3c85000000-3c8514a000 r-xp 00000000 fd:00 72501                          /usr/lib64/libicuuc.so.42.0.1
3c8514a000-3c85349000 ---p 0014a000 fd:00 72501                          /usr/lib64/libicuuc.so.42.0.1
3c85349000-3c8535a000 rw-p 00149000 fd:00 72501                          /usr/lib64/libicuuc.so.42.0.1
3c8535a000-3c8535c000 rw-p 00000000 00:00 0 
3c86000000-3c86f46000 r-xp 00000000 fd:00 70598                          /usr/lib64/libicudata.so.42.0.1
3c86f46000-3c87145000 ---p 00f46000 fd:00 70598                          /usr/lib64/libicudata.so.42.0.1
3c87145000-3c87146000 rw-p 00f45000 fd:00 70598                          /usr/lib64/libicudata.so.42.0.1
3c89000000-3c89036000 r-xp 00000000 fd:00 72518                          /usr/lib64/libicule.so.42.0.1
3c89036000-3c89236000 ---p 00036000 fd:00 72518                          /usr/lib64/libicule.so.42.0.1
3c89236000-3c89238000 rw-p 00036000 fd:00 72518                          /usr/lib64/libicule.so.42.0.1
7f4f28000000-7f4f28021000 rw-p 00000000 00:00 0 
7f4f28021000-7f4f2c000000 ---p 00000000 00:00 0 
7f4f2d56d000-7f4f2d5e0000 r-xp 00000000 fd:00 179166                     /usr/lib64/openoffice.org/basis3.1/program/libunoxmllx.so
7f4f2d5e0000-7f4f2d7df000 ---p 00073000 fd:00 179166                     /usr/lib64/openoffice.org/basis3.1/program/libunoxmllx.so
7f4f2d7df000-7f4f2d7ef000 rw-p 00072000 fd:00 179166                     /usr/lib64/openoffice.org/basis3.1/program/libunoxmllx.so
7f4f2d7ef000-7f4f2d7ff000 rw-p 00000000 00:00 0 
7f4f2d7ff000-7f4f2d800000 r-xs 00000000 fd:00 79012                      /root/.execooocMcXyf (deleted)
7f4f2d800000-7f4f2d801000 rw-s 00000000 fd:00 79012                      /root/.execooocMcXyf (deleted)
7f4f2d801000-7f4f2d893000 rw-p 00000000 00:00 0 
7f4f2d893000-7f4f2d8ed000 r-xp 00000000 fd:00 179160                     /usr/lib64/openoffice.org/basis3.1/program/libucpfile1.so
7f4f2d8ed000-7f4f2daec000 ---p 0005a000 fd:00 179160                     /usr/lib64/openoffice.org/basis3.1/program/libucpfile1.so
7f4f2daec000-7f4f2daf1000 rw-p 00059000 fd:00 179160                     /usr/lib64/openoffice.org/basis3.1/program/libucpfile1.so
7f4f2daf1000-7f4f2db01000 rw-p 00000000 00:00 0 
7f4f2db01000-7f4f2db07000 r-xp 00000000 fd:00 179266                     /usr/lib64/openoffice.org/basis3.1/program/ucpexpand1.uno.so
7f4f2db07000-7f4f2dd07000 ---p 00006000 fd:00 179266                     /usr/lib64/openoffice.org/basis3.1/program/ucpexpand1.uno.so
7f4f2dd07000-7f4f2dd08000 rw-p 00006000 fd:00 179266                     /usr/lib64/openoffice.org/basis3.1/program/ucpexpand1.uno.so
7f4f2dd08000-7f4f2dd20000 r-xp 00000000 fd:00 179081                     /usr/lib64/openoffice.org/basis3.1/program/libhelplinkerlx.so
7f4f2dd20000-7f4f2df1f000 ---p 00018000 fd:00 179081                     /usr/lib64/openoffice.org/basis3.1/program/libhelplinkerlx.so
7f4f2df1f000-7f4f2df20000 rw-p 00017000 fd:00 179081                     /usr/lib64/openoffice.org/basis3.1/program/libhelplinkerlx.so
7f4f2df20000-7f4f2e03b000 r-xp 00000000 fd:00 179146                     /usr/lib64/openoffice.org/basis3.1/program/libsvllx.so
7f4f2e03b000-7f4f2e23b000 ---p 0011b000 fd:00 179146                     /usr/lib64/openoffice.org/basis3.1/program/libsvllx.so
7f4f2e23b000-7f4f2e245000 rw-p 0011b000 fd:00 179146                     /usr/lib64/openoffice.org/basis3.1/program/libsvllx.so
7f4f2e245000-7f4f2e246000 rw-p 00000000 00:00 0 
7f4f2e246000-7f4f2e2e4000 r-xp 00000000 fd:00 178974                     /usr/lib64/openoffice.org/basis3.1/program/deploymentlx.uno.so
7f4f2e2e4000-7f4f2e4e4000 ---p 0009e000 fd:00 178974                     /usr/lib64/openoffice.org/basis3.1/program/deploymentlx.uno.so
7f4f2e4e4000-7f4f2e4ef000 rw-p 0009e000 fd:00 178974                     /usr/lib64/openoffice.org/basis3.1/program/deploymentlx.uno.so
7f4f2e4ef000-7f4f2e4f0000 rw-p 00000000 00:00 0 
7f4f2e4f0000-7f4f2e4f1000 ---p 00000000 00:00 0 
7f4f2e4f1000-7f4f2ef81000 rw-p 00000000 00:00 0 
7f4f2ef81000-7f4f2ef9d000 r-xp 00000000 fd:00 179255                     /usr/lib64/openoffice.org/basis3.1/program/sax.uno.so
7f4f2ef9d000-7f4f2f19d000 ---p 0001c000 fd:00 179255                     /usr/lib64/openoffice.org/basis3.1/program/sax.uno.so
7f4f2f19d000-7f4f2f19f000 rw-p 0001c000 fd:00 179255                     /usr/lib64/openoffice.org/basis3.1/program/sax.uno.so
7f4f2f19f000-7f4f2f1a3000 r-xp 00000000 fd:00 178975                     /usr/lib64/openoffice.org/basis3.1/program/desktopbe1.uno.so
7f4f2f1a3000-7f4f2f3a2000 ---p 00004000 fd:00 178975                     /usr/lib64/openoffice.org/basis3.1/program/desktopbe1.uno.so
7f4f2f3a2000-7f4f2f3a3000 rw-p 00003000 fd:00 178975                     /usr/lib64/openoffice.org/basis3.1/program/desktopbe1.uno.so
7f4f2f3a3000-7f4f2f3c3000 rw-p 00000000 00:00 0 
7f4f2f3c3000-7f4f2f3cd000 r-xp 00000000 fd:00 179264                     /usr/lib64/openoffice.org/basis3.1/program/sysmgr1.uno.so
7f4f2f3cd000-7f4f2f5cd000 ---p 0000a000 fd:00 179264                     /usr/lib64/openoffice.org/basis3.1/program/sysmgr1.uno.so
7f4f2f5cd000-7f4f2f5ce000 rw-p 0000a000 fd:00 179264                     /usr/lib64/openoffice.org/basis3.1/program/sysmgr1.uno.so
7f4f2f5ce000-7f4f2f5ee000 rw-p 00000000 00:00 0 
7f4f2f5ee000-7f4f2f60b000 r-xp 00000000 fd:00 28001                      /usr/lib64/openoffice.org/ure/lib/stocservices.uno.so
7f4f2f60b000-7f4f2f80b000 ---p 0001d000 fd:00 28001                      /usr/lib64/openoffice.org/ure/lib/stocservices.uno.so
7f4f2f80b000-7f4f2f80e000 rw-p 0001d000 fd:00 28001                      /usr/lib64/openoffice.org/ure/lib/stocservices.uno.so
7f4f2f80e000-7f4f2f80f000 r-xs 00000000 fd:00 79011                      /root/.execoooHJhtqa (deleted)
7f4f2f80f000-7f4f2f810000 rw-s 00000000 fd:00 79011                      /root/.execoooHJhtqa (deleted)
7f4f2f810000-7f4f2f820000 rw-p 00000000 00:00 0 
7f4f2f820000-7f4f2fa05000 r-xp 00000000 fd:00 178970                     /usr/lib64/openoffice.org/basis3.1/program/configmgr2.uno.so
7f4f2fa05000-7f4f2fc05000 ---p 001e5000 fd:00 178970                     /usr/lib64/openoffice.org/basis3.1/program/configmgr2.uno.so
7f4f2fc05000-7f4f2fc25000 rw-p 001e5000 fd:00 178970                     /usr/lib64/openoffice.org/basis3.1/program/configmgr2.uno.so
7f4f2fc25000-7f4f2fc26000 rw-p 00000000 00:00 0 
7f4f2fc26000-7f4f2fc68000 r-xp 00000000 fd:00 179156                     /usr/lib64/openoffice.org/basis3.1/program/libucb1.so
7f4f2fc68000-7f4f2fe67000 ---p 00042000 fd:00 179156                     /usr/lib64/openoffice.org/basis3.1/program/libucb1.so
7f4f2fe67000-7f4f2fe6c000 rw-p 00041000 fd:00 179156                     /usr/lib64/openoffice.org/basis3.1/program/libucb1.so
7f4f2fe6c000-7f4f2fe6d000 r-xs 00000000 fd:00 79009                      /root/.execoooTEuDw5 (deleted)
7f4f2fe6d000-7f4f2fe6e000 rw-s 00000000 fd:00 79009                      /root/.execoooTEuDw5 (deleted)
7f4f2fe6e000-7f4f2fe6f000 r-xs 00000000 fd:00 79008                      /root/.execooo9YJkD0 (deleted)
7f4f2fe6f000-7f4f2fe70000 rw-s 00000000 fd:00 79008                      /root/.execooo9YJkD0 (deleted)
7f4f2fe70000-7f4f2fe90000 rw-p 00000000 00:00 0 
7f4f2fe90000-7f4f2fe91000 r-xs 00000000 fd:00 79007                      /root/.execooo4F08JV (deleted)
7f4f2fe91000-7f4f2fe92000 rw-s 00000000 fd:00 79007                      /root/.execooo4F08JV (deleted)
7f4f2fe92000-7f4f2fe93000 r-xs 00000000 fd:00 79005                      /root/.execoooqA53QQ (deleted)
7f4f2fe93000-7f4f2fe94000 rw-s 00000000 fd:00 79005                      /root/.execoooqA53QQ (deleted)
7f4f2fe94000-7f4f2fe95000 r-xs 00000000 fd:00 28207                      /root/.execoooeJN2XL (deleted)
7f4f2fe95000-7f4f2fe9b000 r-xp 00000000 fd:00 27992                      /usr/lib64/openoffice.org/ure/lib/libuno_purpenvhelpergcc3.so.3
7f4f2fe9b000-7f4f3009a000 ---p 00006000 fd:00 27992                      /usr/lib64/openoffice.org/ure/lib/libuno_purpenvhelpergcc3.so.3
7f4f3009a000-7f4f3009b000 rw-p 00005000 fd:00 27992                      /usr/lib64/openoffice.org/ure/lib/libuno_purpenvhelpergcc3.so.3
7f4f3009b000-7f4f3009d000 r-xp 00000000 fd:00 27995                      /usr/lib64/openoffice.org/ure/lib/libunsafe_uno_uno.so
7f4f3009d000-7f4f3029d000 ---p 00002000 fd:00 27995                      /usr/lib64/openoffice.org/ure/lib/libunsafe_uno_uno.so
7f4f3029d000-7f4f3029e000 rw-p 00002000 fd:00 27995                      /usr/lib64/openoffice.org/ure/lib/libunsafe_uno_uno.so
7f4f3029e000-7f4f302ae000 rw-p 00000000 00:00 0 
7f4f302ae000-7f4f307ce000 r--s 00000000 fd:00 179257                     /usr/lib64/openoffice.org/basis3.1/program/services.rdb
7f4f307ce000-7f4f307de000 r--s 00000000 fd:00 141433                     /usr/lib64/openoffice.org/share/uno_packages/cache/registry/com.sun.star.comp.deployment.component.PackageRegistryBackend/Linux_X86_64_.rdb
7f4f307de000-7f4f3081e000 r--s 00000000 fd:00 28014                      /usr/lib64/openoffice.org/ure/share/misc/services.rdb
7f4f3081e000-7f4f3082e000 rw-p 00000000 00:00 0 
7f4f3082e000-7f4f309f6000 r--s 00000000 fd:00 179190                     /usr/lib64/openoffice.org/basis3.1/program/oovbaapi.rdb
7f4f309f6000-7f4f3100e000 r--s 00000000 fd:00 179189                     /usr/lib64/openoffice.org/basis3.1/program/offapi.rdb
7f4f3100e000-7f4f3101e000 rw-p 00000000 00:00 0 
7f4f3101e000-7f4f310ee000 r--s 00000000 fd:00 28015                      /usr/lib64/openoffice.org/ure/share/misc/types.rdb
7f4f310ee000-7f4f3110e000 rw-p 00000000 00:00 0 
7f4f3110e000-7f4f3111d000 r-xp 00000000 fd:00 27980                      /usr/lib64/openoffice.org/ure/lib/libgcc3_uno.so
7f4f3111d000-7f4f3131d000 ---p 0000f000 fd:00 27980                      /usr/lib64/openoffice.org/ure/lib/libgcc3_uno.so
7f4f3131d000-7f4f3131e000 rw-p 0000f000 fd:00 27980                      /usr/lib64/openoffice.org/ure/lib/libgcc3_uno.so
7f4f3131e000-7f4f31336000 r-xp 00000000 fd:00 27989                      /usr/lib64/openoffice.org/ure/lib/libstore.so.3
7f4f31336000-7f4f31536000 ---p 00018000 fd:00 27989                      /usr/lib64/openoffice.org/ure/lib/libstore.so.3
7f4f31536000-7f4f31537000 rw-p 00018000 fd:00 27989                      /usr/lib64/openoffice.org/ure/lib/libstore.so.3
7f4f31537000-7f4f31554000 r-xp 00000000 fd:00 27987                      /usr/lib64/openoffice.org/ure/lib/libreg.so.3
7f4f31554000-7f4f31753000 ---p 0001d000 fd:00 27987                      /usr/lib64/openoffice.org/ure/lib/libreg.so.3
7f4f31753000-7f4f31754000 rw-p 0001c000 fd:00 27987                      /usr/lib64/openoffice.org/ure/lib/libreg.so.3
7f4f31754000-7f4f3180a000 r-xp 00000000 fd:00 27970                      /usr/lib64/openoffice.org/ure/lib/bootstrap.uno.so
7f4f3180a000-7f4f31a0a000 ---p 000b6000 fd:00 27970                      /usr/lib64/openoffice.org/ure/lib/bootstrap.uno.so
7f4f31a0a000-7f4f31a17000 rw-p 000b6000 fd:00 27970                      /usr/lib64/openoffice.org/ure/lib/bootstrap.uno.so
7f4f31a17000-7f4f31a4c000 r--s 00000000 fd:00 797624                     /var/db/nscd/passwd
7f4f31a4c000-7f4f31a5c000 rw-p 00000000 00:00 0 
7f4f31a5c000-7f4f36b2f000 r--p 00000000 fd:00 223761                     /usr/lib/locale/locale-archive
7f4f36b2f000-7f4f36b4f000 rw-p 00000000 00:00 0 
7f4f36b4f000-7f4f36b50000 ---p 00000000 00:00 0 
7f4f36b50000-7f4f37576000 rw-p 00000000 00:00 0 
7f4f37576000-7f4f37613000 r-xp 00000000 fd:00 179174                     /usr/lib64/openoffice.org/basis3.1/program/libxcrlx.so
7f4f37613000-7f4f37813000 ---p 0009d000 fd:00 179174                     /usr/lib64/openoffice.org/basis3.1/program/libxcrlx.so
7f4f37813000-7f4f3781b000 rw-p 0009d000 fd:00 179174                     /usr/lib64/openoffice.org/basis3.1/program/libxcrlx.so
7f4f3781b000-7f4f3781c000 rw-p 00000000 00:00 0 
7f4f3781c000-7f4f37822000 r-xp 00000000 fd:00 27985                      /usr/lib64/openoffice.org/ure/lib/libjvmaccessgcc3.so.3
7f4f37822000-7f4f37a22000 ---p 00006000 fd:00 27985                      /usr/lib64/openoffice.org/ure/lib/libjvmaccessgcc3.so.3
7f4f37a22000-7f4f37a23000 rw-p 00006000 fd:00 27985                      /usr/lib64/openoffice.org/ure/lib/libjvmaccessgcc3.so.3
7f4f37a23000-7f4f37a24000 rw-p 00000000 00:00 0 
7f4f37a24000-7f4f37a32000 r-xp 00000000 fd:00 179086                     /usr/lib64/openoffice.org/basis3.1/program/libi18nutilgcc3.so
7f4f37a32000-7f4f37c32000 ---p 0000e000 fd:00 179086                     /usr/lib64/openoffice.org/basis3.1/program/libi18nutilgcc3.so
7f4f37c32000-7f4f37c34000 rw-p 0000e000 fd:00 179086                     /usr/lib64/openoffice.org/basis3.1/program/libi18nutilgcc3.so
7f4f37c34000-7f4f37c38000 rw-p 00000000 00:00 0 
7f4f37c38000-7f4f37c3d000 r-xp 00000000 fd:00 179084                     /usr/lib64/openoffice.org/basis3.1/program/libi18npaperlx.so
7f4f37c3d000-7f4f37e3d000 ---p 00005000 fd:00 179084                     /usr/lib64/openoffice.org/basis3.1/program/libi18npaperlx.so
7f4f37e3d000-7f4f37e3e000 rw-p 00005000 fd:00 179084                     /usr/lib64/openoffice.org/basis3.1/program/libi18npaperlx.so
7f4f37e3e000-7f4f37ea0000 r-xp 00000000 fd:00 179140                     /usr/lib64/openoffice.org/basis3.1/program/libsotlx.so
7f4f37ea0000-7f4f3809f000 ---p 00062000 fd:00 179140                     /usr/lib64/openoffice.org/basis3.1/program/libsotlx.so
7f4f3809f000-7f4f380a5000 rw-p 00061000 fd:00 179140                     /usr/lib64/openoffice.org/basis3.1/program/libsotlx.so
7f4f380a5000-7f4f3814c000 r-xp 00000000 fd:00 179125                     /usr/lib64/openoffice.org/basis3.1/program/libpsplx.so
7f4f3814c000-7f4f3834b000 ---p 000a7000 fd:00 179125                     /usr/lib64/openoffice.org/basis3.1/program/libpsplx.so
7f4f3834b000-7f4f38397000 rw-p 000a6000 fd:00 179125                     /usr/lib64/openoffice.org/basis3.1/program/libpsplx.so
7f4f38397000-7f4f3839b000 rw-p 00000000 00:00 0 
7f4f3839b000-7f4f38442000 r-xp 00000000 fd:00 179009                     /usr/lib64/openoffice.org/basis3.1/program/libbasegfxlx.so
7f4f38442000-7f4f38642000 ---p 000a7000 fd:00 179009                     /usr/lib64/openoffice.org/basis3.1/program/libbasegfxlx.so
7f4f38642000-7f4f38644000 rw-p 000a7000 fd:00 179009                     /usr/lib64/openoffice.org/basis3.1/program/libbasegfxlx.so
7f4f38644000-7f4f38645000 rw-p 00000000 00:00 0 
7f4f38645000-7f4f3864b000 r-xp 00000000 fd:00 179083                     /usr/lib64/openoffice.org/basis3.1/program/libi18nisolang1gcc3.so
7f4f3864b000-7f4f3884a000 ---p 00006000 fd:00 179083                     /usr/lib64/openoffice.org/basis3.1/program/libi18nisolang1gcc3.so
7f4f3884a000-7f4f3884b000 rw-p 00005000 fd:00 179083                     /usr/lib64/openoffice.org/basis3.1/program/libi18nisolang1gcc3.so
7f4f3884b000-7f4f3886f000 r-xp 00000000 fd:00 179173                     /usr/lib64/openoffice.org/basis3.1/program/libvos3gcc3.so
7f4f3886f000-7f4f38a6f000 ---p 00024000 fd:00 179173                     /usr/lib64/openoffice.org/basis3.1/program/libvos3gcc3.so
7f4f38a6f000-7f4f38a72000 rw-p 00024000 fd:00 179173                     /usr/lib64/openoffice.org/basis3.1/program/libvos3gcc3.so
7f4f38a72000-7f4f38a73000 rw-p 00000000 00:00 0 
7f4f38a73000-7f4f38a77000 r-xp 00000000 fd:00 27994                      /usr/lib64/openoffice.org/ure/lib/libuno_salhelpergcc3.so.3
7f4f38a77000-7f4f38c76000 ---p 00004000 fd:00 27994                      /usr/lib64/openoffice.org/ure/lib/libuno_salhelpergcc3.so.3
7f4f38c76000-7f4f38c77000 rw-p 00003000 fd:00 27994                      /usr/lib64/openoffice.org/ure/lib/libuno_salhelpergcc3.so.3
7f4f38c77000-7f4f38ccf000 r-xp 00000000 fd:00 52609                      /lib64/libfreebl3.so
7f4f38ccf000-7f4f38ecf000 ---p 00058000 fd:00 52609                      /lib64/libfreebl3.so
7f4f38ecf000-7f4f38ed0000 rw-p 00058000 fd:00 52609                      /lib64/libfreebl3.so
7f4f38ed0000-7f4f38ed7000 rw-p 00000000 00:00 0 
7f4f38ed7000-7f4f38ef3000 r-xp 00000000 fd:00 179048                     /usr/lib64/openoffice.org/basis3.1/program/libdeploymentmisclx.so
7f4f38ef3000-7f4f390f2000 ---p 0001c000 fd:00 179048                     /usr/lib64/openoffice.org/basis3.1/program/libdeploymentmisclx.so
7f4f390f2000-7f4f390f4000 rw-p 0001b000 fd:00 179048                     /usr/lib64/openoffice.org/basis3.1/program/libdeploymentmisclx.so
7f4f390f4000-7f4f394ce000 r-xp 00000000 fd:00 179170                     /usr/lib64/openoffice.org/basis3.1/program/libvcllx.so
7f4f394ce000-7f4f396ce000 ---p 003da000 fd:00 179170                     /usr/lib64/openoffice.org/basis3.1/program/libvcllx.so
7f4f396ce000-7f4f396f5000 rw-p 003da000 fd:00 179170                     /usr/lib64/openoffice.org/basis3.1/program/libvcllx.so
7f4f396f5000-7f4f396f6000 rw-p 00000000 00:00 0 
7f4f396f6000-7f4f397a2000 r-xp 00000000 fd:00 179154                     /usr/lib64/openoffice.org/basis3.1/program/libtllx.so
7f4f397a2000-7f4f399a1000 ---p 000ac000 fd:00 179154                     /usr/lib64/openoffice.org/basis3.1/program/libtllx.so
7f4f399a1000-7f4f399a6000 rw-p 000ab000 fd:00 179154                     /usr/lib64/openoffice.org/basis3.1/program/libtllx.so
7f4f399a6000-7f4f399a8000 rw-p 00000000 00:00 0 
7f4f399a8000-7f4f39a41000 r-xp 00000000 fd:00 179168                     /usr/lib64/openoffice.org/basis3.1/program/libutllx.so
7f4f39a41000-7f4f39c41000 ---p 00099000 fd:00 179168                     /usr/lib64/openoffice.org/basis3.1/program/libutllx.so
7f4f39c41000-7f4f39c49000 rw-p 00099000 fd:00 179168                     /usr/lib64/openoffice.org/basis3.1/program/libutllx.so
7f4f39c49000-7f4f39cc7000 r-xp 00000000 fd:00 179157                     /usr/lib64/openoffice.org/basis3.1/program/libucbhelper4gcc3.so
7f4f39cc7000-7f4f39ec6000 ---p 0007e000 fd:00 179157                     /usr/lib64/openoffice.org/basis3.1/program/libucbhelper4gcc3.so
7f4f39ec6000-7f4f39ecc000 rw-p 0007d000 fd:00 179157                     /usr/lib64/openoffice.org/basis3.1/program/libucbhelper4gcc3.so
7f4f39ecc000-7f4f3a020000 r-xp 00000000 fd:00 179036                     /usr/lib64/openoffice.org/basis3.1/program/libcomphelp4gcc3.so
7f4f3a020000-7f4f3a21f000 ---p 00154000 fd:00 179036                     /usr/lib64/openoffice.org/basis3.1/program/libcomphelp4gcc3.so
7f4f3a21f000-7f4f3a231000 rw-p 00153000 fd:00 179036                     /usr/lib64/openoffice.org/basis3.1/program/libcomphelp4gcc3.so
7f4f3a231000-7f4f3a233000 rw-p 00000000 00:00 0 
7f4f3a233000-7f4f3a2d7000 r-xp 00000000 fd:00 27991                      /usr/lib64/openoffice.org/ure/lib/libuno_cppuhelpergcc3.so.3
7f4f3a2d7000-7f4f3a4d7000 ---p 000a4000 fd:00 27991                      /usr/lib64/openoffice.org/ure/lib/libuno_cppuhelpergcc3.so.3
7f4f3a4d7000-7f4f3a4dc000 rw-p 000a4000 fd:00 27991                      /usr/lib64/openoffice.org/ure/lib/libuno_cppuhelpergcc3.so.3
7f4f3a4dc000-7f4f3a4dd000 rw-p 00000000 00:00 0 
7f4f3a4dd000-7f4f3a50a000 r-xp 00000000 fd:00 27990                      /usr/lib64/openoffice.org/ure/lib/libuno_cppu.so.3
7f4f3a50a000-7f4f3a709000 ---p 0002d000 fd:00 27990                      /usr/lib64/openoffice.org/ure/lib/libuno_cppu.so.3
7f4f3a709000-7f4f3a70a000 rw-p 0002c000 fd:00 27990                      /usr/lib64/openoffice.org/ure/lib/libuno_cppu.so.3
7f4f3a70a000-7f4f3a70b000 rw-p 00000000 00:00 0 
7f4f3a70b000-7f4f3a713000 r-xp 00000000 fd:00 208744                     /lib64/libcrypt-2.10.1.so
7f4f3a713000-7f4f3a912000 ---p 00008000 fd:00 208744                     /lib64/libcrypt-2.10.1.so
7f4f3a912000-7f4f3a913000 r--p 00007000 fd:00 208744                     /lib64/libcrypt-2.10.1.so
7f4f3a913000-7f4f3a914000 rw-p 00008000 fd:00 208744                     /lib64/libcrypt-2.10.1.so
7f4f3a914000-7f4f3a944000 rw-p 00000000 00:00 0 
7f4f3a944000-7f4f3a945000 rw-s 00000000 fd:00 28207                      /root/.execoooeJN2XL (deleted)
7f4f3a945000-7f4f3a946000 r--s 00000000 fd:00 141432                     /usr/lib64/openoffice.org/share/uno_packages/cache/registry/com.sun.star.comp.deployment.component.PackageRegistryBackend/common_.rdb
7f4f3a946000-7f4f3a94d000 r--s 00000000 fd:00 109282                     /usr/lib64/gconv/gconv-modules.cache
7f4f3a94d000-7f4f3a95d000 rw-p 00000000 00:00 0 
7f4f3a95d000-7f4f3a978000 r-xp 00000000 fd:00 179164                     /usr/lib64/openoffice.org/basis3.1/program/libunopkgapp.so
7f4f3a978000-7f4f3ab78000 ---p 0001b000 fd:00 179164                     /usr/lib64/openoffice.org/basis3.1/program/libunopkgapp.so
7f4f3ab78000-7f4f3ab7a000 rw-p 0001b000 fd:00 179164                     /usr/lib64/openoffice.org/basis3.1/program/libunopkgapp.so
7f4f3ab7a000-7f4f3ab7b000 rw-p 00000000 00:00 0 
7f4f3ab7b000-7f4f3ad45000 r-xp 00000000 fd:00 27993                      /usr/lib64/openoffice.org/ure/lib/libuno_sal.so.3
7f4f3ad45000-7f4f3af45000 ---p 001ca000 fd:00 27993                      /usr/lib64/openoffice.org/ure/lib/libuno_sal.so.3
7f4f3af45000-7f4f3af6a000 rw-p 001ca000 fd:00 27993                      /usr/lib64/openoffice.org/ure/lib/libuno_sal.so.3
7f4f3af6a000-7f4f3af76000 rw-p 00000000 00:00 0 
7fffc821b000-7fffc8230000 rw-p 00000000 00:00 0                          [stack]
7fffc826e000-7fffc826f000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
/usr/lib64/openoffice.org3/program/unopkg: line 106:  3754 Aborted                 (core dumped) "$sd_prog/unopkg.bin" "$@" "-env:INIFILENAME=vnd.sun.star.pathname:$sd_prog/redirectrc"
  Updating       : 1:openoffice.org-draw-3.1.1-13.1.fc12.x86_64           29/76 



Version-Release number of selected component (if applicable):
openoffice.org-math-core-3.1.1-13.1.fc12.x86_64
openoffice.org-impress-core-3.1.1-13.1.fc12.x86_64
openoffice.org-core-3.1.1-13.1.fc12.x86_64
openoffice.org-langpack-en-3.1.1-13.1.fc12.x86_64
openoffice.org-draw-3.1.1-13.1.fc12.x86_64
openoffice.org-calc-core-3.1.1-13.1.fc12.x86_64
openoffice.org-calc-3.1.1-13.1.fc12.x86_64
openoffice.org-graphicfilter-3.1.1-13.1.fc12.x86_64
openoffice.org-xsltfilter-3.1.1-13.1.fc12.x86_64
openoffice.org-presenter-screen-3.1.1-13.1.fc12.x86_64
openoffice.org-pdfimport-3.1.1-13.1.fc12.x86_64
openoffice.org-ure-3.1.1-13.1.fc12.x86_64
openoffice.org-brand-3.1.1-13.1.fc12.x86_64
openoffice.org-impress-3.1.1-13.1.fc12.x86_64
openoffice.org-opensymbol-fonts-3.1.1-13.1.fc12.x86_64
openoffice.org-math-3.1.1-13.1.fc12.x86_64
openoffice.org-draw-core-3.1.1-13.1.fc12.x86_64
openoffice.org-writer-3.1.1-13.1.fc12.x86_64
openoffice.org-writer-core-3.1.1-13.1.fc12.x86_64


How reproducible:
Don't know

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2009-06-12 13:42:20 EDT
Could I get one of those core files ?
Comment 2 Tom London 2009-06-12 21:46:23 EDT
Created attachment 347692 [details]
gzip of core

Attempt at posting gzip of 26MB core file.

There are 2 of them.  Just posting 1 of them. 

Let me know if you want the second one.
Comment 3 Alexander Suleymanov 2009-06-15 01:16:11 EDT
Created attachment 347891 [details]
console log from yum
Comment 4 Alexander Suleymanov 2009-06-15 01:17:29 EDT
The same case on x86 (two PCs installing new OOo packages from Rawhide): 
Updating       : 1:openoffice.org-pdfimport-3.1.1-13.1.fc12.i586                                         99/231 
*** buffer overflow detected ***: /usr/lib/openoffice.org3/program/unopkg.bin terminated

(console log attached)
Comment 5 Tom London 2009-06-15 09:26:46 EDT
Created attachment 347935 [details]
Second unopkg.bin core file

Have more bandwidth ... ;)

Here is gzip of second core file.  Orig is 26MB.
Comment 6 Caolan McNamara 2009-06-16 06:40:56 EDT
unopkg add --shared --force --link /usr/lib64/openoffice.org/extensions/presenter-screen.oxt
is sufficient to reproduce
Comment 7 Caolan McNamara 2009-06-16 07:24:54 EDT
Created attachment 348085 [details]
standalone test-case

x86_64:
gcc -g -DMAKEITFIRST -O2 -D_FORTIFY_SOURCE=2 userealpath.c && ./a.out (ok)
gcc -g -O2 -D_FORTIFY_SOURCE=2 userealpath.c && ./a.out (FAIL)

i586:
gcc -g -DMAKEITFIRST -O2 -D_FORTIFY_SOURCE=2 userealpath.c && ./a.out (ok)
gcc -g -O2 -D_FORTIFY_SOURCE=2 userealpath.c && ./a.out (ok)

i.e. using realpath and placing the results into a member of a structure that isn't the first member seems to confuse the fortification stuff and it's aborting apps that try it

glibc-2.10.1-2
gcc-4.4.0-8
Comment 8 Jakub Jelinek 2009-06-16 08:44:54 EDT
Likely dup of #506099, just rebuild with gcc-4.4.0-9.  gcc-4.4.0-{7,8} had been broken.
Comment 9 Tom London 2009-06-17 09:46:19 EDT
Well, I think update with openoffice.org-*-3.1.1-13.2.fc12.x86_64 is "better": no core files.

  Updating       : 1:autocorr-en-3.1.1-13.2.fc12.x86_64                   15/82 
  Updating       : 1:openoffice.org-opensymbol-fonts-3.1.1-13.2.fc12.x8   16/82 
  Updating       : 1:openoffice.org-core-3.1.1-13.2.fc12.x86_64           17/82 
  Updating       : 1:openoffice.org-brand-3.1.1-13.2.fc12.x86_64          18/82 
  Updating       : 1:openoffice.org-calc-core-3.1.1-13.2.fc12.x86_64      19/82 
  Updating       : 1:openoffice.org-impress-core-3.1.1-13.2.fc12.x86_64   20/82 

ERROR: There is no such extension deployed: com.sun.PresenterScreen-linux_x86_64

unopkg failed.
  Updating       : 1:openoffice.org-presenter-screen-3.1.1-13.2.fc12.x8   21/82 
  Updating       : 1:openoffice.org-math-core-3.1.1-13.2.fc12.x86_64      22/82 
  Updating       : 1:openoffice.org-writer-core-3.1.1-13.2.fc12.x86_64    23/82 
  Updating       : 1:openoffice.org-graphicfilter-3.1.1-13.2.fc12.x86_6   24/82 
  Updating       : 1:openoffice.org-draw-core-3.1.1-13.2.fc12.x86_64      25/82 

ERROR: There is no such extension deployed: com.sun.star.PDFImport-linux_x86_64

unopkg failed.
  Updating       : 1:openoffice.org-pdfimport-3.1.1-13.2.fc12.x86_64      26/82 
  Installing     : python-bugzilla-0.5.1-2.fc11.noarch                    27/82 
  Updating       : setroubleshoot-2.2.1-1.fc12.x86_64                     28/82 
  Updating       : 1:openoffice.org-draw-3.1.1-13.2.fc12.x86_64           29/82 
  Updating       : 1:openoffice.org-writer-3.1.1-13.2.fc12.x86_64         30/82 
  Updating       : 1:openoffice.org-impress-3.1.1-13.2.fc12.x86_64        31/82 
  Updating       : 1:openoffice.org-calc-3.1.1-13.2.fc12.x86_64           32/82 
  Updating       : 1:openoffice.org-math-3.1.1-13.2.fc12.x86_64           33/82 
  Updating       : 1:openoffice.org-xsltfilter-3.1.1-13.2.fc12.x86_64     34/82 
  Updating       : 1:openoffice.org-langpack-en-3.1.1-13.2.fc12.x86_64    35/82
Comment 10 Caolan McNamara 2009-06-17 10:34:29 EDT
That's to be expected as the upgrade of those extensions failed in the last update, so they're misconfigured when this update tries to upgrade them. Its just cosmetic though.

*** This bug has been marked as a duplicate of bug 506099 ***

Note You need to log in before you can comment on or make changes to this bug.